Index: apps/app_meetme.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_meetme.c,v
retrieving revision 1.76
diff -u -r1.76 app_meetme.c
--- apps/app_meetme.c	1 Feb 2005 06:48:50 -0000	1.76
+++ apps/app_meetme.c	1 Feb 2005 08:04:26 -0000
@@ -1108,14 +1108,15 @@
 	if (!(confflags & CONFFLAG_QUIET) && !(confflags & CONFFLAG_MONITOR) && !(confflags & CONFFLAG_ADMIN))
 		conf_play(conf, LEAVE);
 
-	if (!(confflags & CONFFLAG_QUIET) && (confflags & CONFFLAG_INTROUSER) && conf->users > 1) {
-		if (conf->chan && ast_fileexists(user->namerecloc, NULL, NULL)) {
-			if (!ast_streamfile(conf->chan, user->namerecloc, chan->language))
-				ast_waitstream(conf->chan, "");
-			if (!ast_streamfile(conf->chan, "conf-hasleft", chan->language))
-				ast_waitstream(conf->chan, "");
+	if (!(confflags & CONFFLAG_QUIET) && (confflags & CONFFLAG_INTROUSER)) {
+		if (ast_fileexists(user->namerecloc, NULL, NULL)) {
+			if ((conf->chan) && (conf->users > 1)) {
+				if (!ast_streamfile(conf->chan, user->namerecloc, chan->language))
+					ast_waitstream(conf->chan, "");
+				if (!ast_streamfile(conf->chan, "conf-hasleft", chan->language))
+					ast_waitstream(conf->chan, "");
+			}
 			ast_filedelete(user->namerecloc, NULL);
-
 		}
 	}
 	ast_mutex_unlock(&conflock);
